This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 184125 - gnome-libs-devel should require libSM-devel
Summary: gnome-libs-devel should require libSM-devel
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-libs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-03-06 17:17 UTC by Matthias Saou
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 11:49:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2006-03-06 17:17:43 UTC
While tring to recompile some gnome1/gtk1 applications on FC5test, I got
errors about -lSM being missing.

Rather than build rerquiring it explicitly in the packages I'm building, I'd
prefer to have it added where it belongs, which seems to be gnome-libs-devel :

# gnome-config --libs gnomeui
-rdynamic -L/usr/lib64 -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk
-lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -lasound
-laudiofile -lm -lglib

All other libraries seem to get pulled in properly (some by gtk+, maybe by
others)

Solution : Add "Requires: libSM-devel" to the -devel gnome-libs sub-package.

Comment 1 Matthias Saou 2006-03-09 09:50:58 UTC
I'd really appreciate if this quickie could get fixed in time for FC5, as it
would avoid putting some (normally) unneeded build requirements in gnome/gtk1
packages (diradmin and gtktalog from Extras in my case).

Comment 2 Ray Strode [halfline] 2006-03-28 16:47:44 UTC
Hi,

So this missed the FC5 boat unfortunately.  Would it be helpful if I fixed it
now and pushed an update?

Comment 3 Matthias Clasen 2006-04-19 03:20:05 UTC
not worth fixing in fc5, imo. 
And Gnome 1 is already gone in rawhide.

Comment 4 Matthias Saou 2006-06-26 11:49:35 UTC
Closing as WONTFIX since indeed this is not worth fixing in FC5. If gnome-libs
ever appears in Extras for FC6+, I'll reopen/reassign this bug or simply make
sure that it includes the fix.


Note You need to log in before you can comment on or make changes to this bug.